# Get a specific capability variant
curl -X GET https://api.muvi.video/v1/catalog/models/google/veo-3.1-fast/text-to-video
# Get default capability
curl -X GET https://api.muvi.video/v1/catalog/models/google/nano-banana
import requests
slug = "google/veo-3.1-fast/text-to-video"
response = requests.get(
f"https://api.muvi.video/v1/catalog/models/{slug}"
)
model = response.json()
print(f"Model: {model['name']}")
print(f"Capability: {model['capability']}")
print(f"Siblings: {[s['capability'] for s in model['siblings']]}")
const slug = "google/veo-3.1-fast/text-to-video";
const response = await fetch(
`https://api.muvi.video/v1/catalog/models/${slug}`
);
const model = await response.json();
console.log(`Model: ${model.name}`);
console.log(`Capability: ${model.capability}`);
console.log(`Siblings:`, model.siblings.map(s => s.capability));
{
"slug": "google/veo-3.1-fast/text-to-video",
"provider": {
"id": "google",
"name": "Google",
"logoUrl": "https://cdn.muvi.video/providers/google.png"
},
"name": "Veo 3.1 Fast",
"description": "Google's high-speed video generation model with text-to-video capability",
"category": "video",
"capability": "text-to-video",
"inputSchema": {
"type": "object",
"required": ["prompt"],
"properties": {
"prompt": {
"type": "string",
"description": "Text description of the video to generate"
},
"duration": {
"type": "number",
"description": "Video duration in seconds",
"minimum": 1,
"maximum": 30
},
"aspectRatio": {
"type": "string",
"enum": ["16:9", "9:16", "1:1"]
}
}
},
"pricing": {
"baseCredits": 50,
"unit": "per_generation"
},
"siblings": [
{
"slug": "google/veo-3.1-fast/image-to-video",
"capability": "image-to-video"
}
]
}
Catalog
Get Catalog Model
Get detailed information about a specific catalog model by its slug, including input schema, pricing, and capability variants.
GET
/
v1
/
catalog
/
models
/
{slug}
# Get a specific capability variant
curl -X GET https://api.muvi.video/v1/catalog/models/google/veo-3.1-fast/text-to-video
# Get default capability
curl -X GET https://api.muvi.video/v1/catalog/models/google/nano-banana
import requests
slug = "google/veo-3.1-fast/text-to-video"
response = requests.get(
f"https://api.muvi.video/v1/catalog/models/{slug}"
)
model = response.json()
print(f"Model: {model['name']}")
print(f"Capability: {model['capability']}")
print(f"Siblings: {[s['capability'] for s in model['siblings']]}")
const slug = "google/veo-3.1-fast/text-to-video";
const response = await fetch(
`https://api.muvi.video/v1/catalog/models/${slug}`
);
const model = await response.json();
console.log(`Model: ${model.name}`);
console.log(`Capability: ${model.capability}`);
console.log(`Siblings:`, model.siblings.map(s => s.capability));
{
"slug": "google/veo-3.1-fast/text-to-video",
"provider": {
"id": "google",
"name": "Google",
"logoUrl": "https://cdn.muvi.video/providers/google.png"
},
"name": "Veo 3.1 Fast",
"description": "Google's high-speed video generation model with text-to-video capability",
"category": "video",
"capability": "text-to-video",
"inputSchema": {
"type": "object",
"required": ["prompt"],
"properties": {
"prompt": {
"type": "string",
"description": "Text description of the video to generate"
},
"duration": {
"type": "number",
"description": "Video duration in seconds",
"minimum": 1,
"maximum": 30
},
"aspectRatio": {
"type": "string",
"enum": ["16:9", "9:16", "1:1"]
}
}
},
"pricing": {
"baseCredits": 50,
"unit": "per_generation"
},
"siblings": [
{
"slug": "google/veo-3.1-fast/image-to-video",
"capability": "image-to-video"
}
]
}
Authentication
This is a public endpoint. No authentication required.
Path Parameters
string
required
The model slug. Supports two formats:
provider/model— returns the default capabilityprovider/model/capability— returns a specific capability variant
google/veo-3.1-fast/text-to-videoalibaba/wan-2.2-super/image-to-videogoogle/nano-banana
Response
string
Full model slug.
object
Provider information.
string
Display name of the model.
string
Detailed model description.
string
Model category.
string
Specific capability of this variant.
object
JSON Schema defining the accepted input parameters for this model.
object
Detailed pricing information.
array
# Get a specific capability variant
curl -X GET https://api.muvi.video/v1/catalog/models/google/veo-3.1-fast/text-to-video
# Get default capability
curl -X GET https://api.muvi.video/v1/catalog/models/google/nano-banana
import requests
slug = "google/veo-3.1-fast/text-to-video"
response = requests.get(
f"https://api.muvi.video/v1/catalog/models/{slug}"
)
model = response.json()
print(f"Model: {model['name']}")
print(f"Capability: {model['capability']}")
print(f"Siblings: {[s['capability'] for s in model['siblings']]}")
const slug = "google/veo-3.1-fast/text-to-video";
const response = await fetch(
`https://api.muvi.video/v1/catalog/models/${slug}`
);
const model = await response.json();
console.log(`Model: ${model.name}`);
console.log(`Capability: ${model.capability}`);
console.log(`Siblings:`, model.siblings.map(s => s.capability));
{
"slug": "google/veo-3.1-fast/text-to-video",
"provider": {
"id": "google",
"name": "Google",
"logoUrl": "https://cdn.muvi.video/providers/google.png"
},
"name": "Veo 3.1 Fast",
"description": "Google's high-speed video generation model with text-to-video capability",
"category": "video",
"capability": "text-to-video",
"inputSchema": {
"type": "object",
"required": ["prompt"],
"properties": {
"prompt": {
"type": "string",
"description": "Text description of the video to generate"
},
"duration": {
"type": "number",
"description": "Video duration in seconds",
"minimum": 1,
"maximum": 30
},
"aspectRatio": {
"type": "string",
"enum": ["16:9", "9:16", "1:1"]
}
}
},
"pricing": {
"baseCredits": 50,
"unit": "per_generation"
},
"siblings": [
{
"slug": "google/veo-3.1-fast/image-to-video",
"capability": "image-to-video"
}
]
}
